Jump to content
Squid

[Plug-In] Community Applications

2591 posts in this topic Last Reply

Recommended Posts

45 minutes ago, Squid said:

What I would guess is that you've got an ad-blocker installed and it's giving a false positive.  Add the server to the white-list of the blocker.

In fact, you can see ADP (AdBlock Plus) in his screenshot.

Share this post


Link to post

Hi, I'm running unraid 6.70 RC6 and for some reason, CA has stopped working I have tried to reinstall but get a parse error any ideas?

Share this post


Link to post

Screenshot?

Sent via telekinesis

Share this post


Link to post
Posted (edited)
2 minutes ago, Squid said:

Screenshot?

Sent via telekinesis
 

 

Screenshot 2019-04-10 at 12.29.22.png

 

If i try install an older version i still get the same error

Edited by Lee B
more info

Share this post


Link to post

Try clicking the link first to open it, then copy it from the URL in the browser bar

Share this post


Link to post

Post the diagnostics

Sent via telekinesis

Share this post


Link to post
8 hours ago, Lee B said:

The "parse" error doesn't make a whole lot of sense.  Delete "community.applications.plg" from /config/plugins on the flash drive then try rebooting and see if that fixes it.  Failing that, Reboot into Safe Mode and see if it will then install and connect.   Beyond that, I'd guess that it may be something with your network bonding, but I'm not a network guy

Share this post


Link to post
On 4/10/2019 at 9:47 PM, Squid said:

The "parse" error doesn't make a whole lot of sense.  Delete "community.applications.plg" from /config/plugins on the flash drive then try rebooting and see if that fixes it.  Failing that, Reboot into Safe Mode and see if it will then install and connect.   Beyond that, I'd guess that it may be something with your network bonding, but I'm not a network guy

I have tried removing it, but still, no joy, was only an issue when I updated to the latest RC 6.70.

 

here is a list of the changes ..

 

Version 6.7.0-rc6 2019-03-21

Base distro:

adwaita-icon-theme: version 3.32.0

at-spi2-atk: version 2.32.0

at-spi2-core: version 2.32.0

atk: version 2.32.0

bash: version 5.0.003

ca-certificates: version 20190308

coreutils: version 8.31

curl: version 7.64.0 (CVE-2019-8907, CVE-2019-3822, CVE-2019-3823)

dhcpcd: version 7.1.1

dnsmasq: version 2.80

docker: version 18.09.3

e2fsprogs: version 1.45.0

ethtool: version 5.0

file: version 5.36 (CVE-2019-8906, CVE-2019-8907)

freetype: version 2.10.0

git: version 2.21.0

glib2: version 2.60.0

glibc: version 2.29

glibc-solibs: version 2.29

glibc-zoneinfo: version 2018i-noarch-1

gnutls: version 3.6.6

gtk+3: version 3.24.7

infozip: version 6.0 (CVE-2014-8139, CVE-2014-8140, CVE-2014-8141, CVE-2016-9844, CVE-2018-18384, CVE-2018-1000035)

iproute2: version 4.20.0

iputils: version 20180629

jemalloc: version 4.5.0

jq: version 1.6 (rev2)

kernel-firmware: version 20190314_7bc2464

kmod: version 26

libaio: version 0.3.112

libcap-ng: version 0.7.9

libgpg-error: version 1.36

libjpeg-turbo: version 2.0.2

libpsl: version 0.20.2

libssh2: version 1.8.1 (CVE-2019-3855, CVE-2019-3856, CVE-2019-3857, CVE-2019-3858, CVE-2019-3859, CVE-2019-3860, CVE-2019-3861, CVE-2019-3862, CVE-2019-3863)

libvirt: version 5.1.0

libwebp: version 1.0.2

libwebsockets: version 3.1.0

libxkbfile: version 1.1.0

libxml2: version 2.9.9

libxslt: version 1.1.33

libzip: version 1.5.2

libXcomposite: version 0.4.5

libXcursor: version 1.2.0

libXdamage: version 1.1.5

libXdmcp: version 1.1.3

libXext: version 1.3.4

libXft: version 2.3.3

libXmu: version 1.1.3

libXrandr: version 1.5.2

libXxf86dga: version 1.1.5

lvm2: version 2.02.177

lzip: version 1.21

mcelog: version 162

mozilla-firefox: version 66.0 (CVE-2018-18500, CVE-2018-18504, CVE-2018-18505, CVE-2018-18503, CVE-2018-18506, CVE-2018-18502, CVE-2018-18501, CVE-2018-18356, CVE-2019-5785, CVE-2018-18511, CVE-2019-9790, CVE-2019-9791, CVE-2019-9792, CVE-2019-9793, CVE-2019-9794, CVE-2019-9795, CVE-2019-9796, CVE-2019-9797, CVE-2019-9798, CVE-2019-9799, CVE-2019-9801, CVE-2019-9802, CVE-2019-9803, CVE-2019-9804, CVE-2019-9805, CVE-2019-9806, CVE-2019-9807, CVE-2019-9809, CVE-2019-9808, CVE-2019-9789, CVE-2019-9788)

mpfr: version 4.0.2

ncompress: version 4.2.4.5

ncurses: version 6.1_20190223

nghttp2: version 1.37.0

ntp: version 4.2.8p13 (CVE-2019-8936)

oniguruma: version 6.9.1 (CVE-2017-9224, CVE-2017-9225, CVE-2017-9226, CVE-2017-9227, CVE-2017-9228, CVE-2017-9229)

openssl: version 1.1.1b (CVE-2019-1559)

openssl-solibs: version 1.1.1b (CVE-2019-1559)

p11-kit: version 0.23.15

pcre: version 8.43

php: version 7.2.15

pixman: version 0.38.0

qrencode: version 4.0.2

rsyslog: version 8.1903.0

sqlite: version 3.27.2

sudo: version 1.8.27

sysvinit: version 2.94

sysvinit-scripts: version 2.1-noarch-26

talloc: version 2.1.16

tar: version 1.32

tdb: version 1.3.18

tevent: version 0.9.39

ttyd: version 20190223

util-linux: version 2.33.1

wget: version 1.20.1

xprop: version 1.2.4

xtrans: version 1.4.0

Linux kernel:

version: 4.19.30

CONFIG_X86_MCELOG_LEGACY: Support for deprecated /dev/mcelog character device

OOT Intel 10Gbps network driver: ixgbe: version 5.5.5

Management:

fstab: mount USB flash boot device with 'flush' keyword

rc.sshd: only copy new key files to USB flash boot device

rc.nginx: implement better status wait loop - thanks ljm42

smartmontools: update drivedb and hwdata/{pci.ids,usb.ids,oui.txt,manuf.txt}

webgui: Per Device Font Size Setting

webgui: Syslog: add '' entry in local folder selection

webgui: Syslog: included rsyslog.d conf files and chmod 0666

webgui: Syslog: added log rotation settings

webgui: Open link under Unraid logo in new window

webgui: Use cookie for display setting font size

webgui: prevent dashboard bar animations from queuing up on inactive browser tab

webgui: Replace string "OS X" with "macOS"

webgui: Updated Unraid icons

webgui: Switch plugins to a compressed download

Share this post


Link to post
Posted (edited)

@Lee B you said you were on rc6 right? Does it show you an update for RC7? i was having the same issue as you, parsing error on CA update. Along with some other issues. I also know while on RC6 it did not show me a next branch upgrade.

 

I downgraded back to RC5, verified everything was working again and decided to upgrade again to see if the problem came back or not. Though when i went to upgrade i noticed the upgrade was actually for RC7. After upgrading to RC7 everything is still working.

 

I don't know if there was a problem with RC6 or if it was just a coincidence but if nothing else is working, and you don't see a RC7 update, you might try downgrading and then updating again if you feel like it. It at least worked for me

Edited by Druminstein

Share this post


Link to post
2 hours ago, Druminstein said:

@Lee B you said you were on rc6 right? Does it show you an update for RC7? i was having the same issue as you, parsing error on CA update. Along with some other issues. I also know while on RC6 it did not show me a next branch upgrade.

 

I downgraded back to RC5, verified everything was working again and decided to upgrade again to see if the problem came back or not. Though when i went to upgrade i noticed the upgrade was actually for RC7. After upgrading to RC7 everything is still working.

 

I don't know if there was a problem with RC6 or if it was just a coincidence but if nothing else is working, and you don't see a RC7 update, you might try downgrading and then updating again if you feel like it. It at least worked for me

I will have a look and give it a try

Share this post


Link to post

Downgrading to RC5 worked. Now on RC7 and plugin working ok 👍 

Share this post


Link to post
13 hours ago, Lee B said:

Downgrading to RC5 worked. Now on RC7 and plugin working ok 👍 

Very strange, as I always install CA on every version of unRaid, and one of the servers is currently running RC7.  But either way, glad you got it going.

Share this post


Link to post
Posted (edited)

Can anyone help me with this?

Capture.PNG

Edited by Ladrek

Share this post


Link to post
On 4/12/2019 at 12:22 AM, Druminstein said:

@Lee B you said you were on rc6 right? Does it show you an update for RC7? i was having the same issue as you, parsing error on CA update. Along with some other issues. I also know while on RC6 it did not show me a next branch upgrade.

 

I downgraded back to RC5, verified everything was working again and decided to upgrade again to see if the problem came back or not. Though when i went to upgrade i noticed the upgrade was actually for RC7. After upgrading to RC7 everything is still working.

 

I don't know if there was a problem with RC6 or if it was just a coincidence but if nothing else is working, and you don't see a RC7 update, you might try downgrading and then updating again if you feel like it. It at least worked for me

that fixed it ty

Share this post


Link to post
Posted (edited)

@Squid Hey there,

 

I'm trying to update CA and getting this error.

image.png.a2f51e6aff41840975e2f73fad11bb56.png

 

image.thumb.png.a8f1ddbaed190c332f77c488fdce33d3.png

 

Restarting the server produces the same result.

 

I also am getting an error on updating the Unassigned Devices plugin:

image.thumb.png.603a043958ca3a1e5775a97f85752565.png

 

Any thoughts on a fix? Posted diagnostics just in case.

tower-diagnostics-20190417-1110.zip

Edited by Arcaeus

Share this post


Link to post

I would assign static DNS addresses in Settings - Network of 208.67.222.222 and 208.67.220.220

Share this post


Link to post
Posted (edited)
10 minutes ago, Squid said:

I would assign static DNS addresses in Settings - Network of 208.67.222.222 and 208.67.220.220

Ok, and would I have to go into my router and make sure it's assigning the same DNS to the Server?

 

To change the network setting, I have to stop VM Manager and docker service. However when I go into Settings > Docker and change enable Docker to No and click Apply, it refreshes the page and it's still set to Yes. The same thing happens for VM Manager. All Docker containers are stopped.

Edited by Arcaeus

Share this post


Link to post
6 minutes ago, Arcaeus said:

it refreshes the page and it's still set to Yes.

Ok, then that explains these errors

Apr 17 11:10:20 Tower kernel: sd 0:0:0:0: [sda] tag#0 UNKNOWN(0x2003) Result: hostbyte=0x00 driverbyte=0x08
Apr 17 11:10:20 Tower kernel: sd 0:0:0:0: [sda] tag#0 Sense Key : 0x3 [current] 
Apr 17 11:10:20 Tower kernel: sd 0:0:0:0: [sda] tag#0 ASC=0x11 ASCQ=0x0 
Apr 17 11:10:20 Tower kernel: sd 0:0:0:0: [sda] tag#0 CDB: opcode=0x28 28 00 00 10 32 1a 00 00 02 00
Apr 17 11:10:20 Tower kernel: print_req_error: critical medium error, dev sda, sector 1061402

Your flash is trashed and needs to be replaced

Share this post


Link to post
Posted (edited)

Ok, so is that a whole new flash drive or just wipe everything and start over?

 

Is there a way to save whatever config data I have on there?

Edited by Arcaeus

Share this post


Link to post

@Squid Just wanted to clarify, can I just wipe the existing one and start over? What is the best process you recommend for going through with this and saving what data I can?

 

And how do you think this happened?

Share this post


Link to post

Put flash in PC and let it checkdisk. While there make a copy of the config folder. The config folder is all you will need to get going again with a new install.

 

I don't know if that flash can be reused or not. @Squid seemed to think no.

 

In any case, if you copy that config folder backup to a new install on that flash or another, you will be good to go with everything as it was. If a new flash, you will have to go to Tools - Registration to get a new key for the new flash.

 

For future reference, you should always keep a current backup of flash. You can easily get a zipped copy of flash at Main - Boot Device - Flash - Flash Backup.

Share this post


Link to post
Posted (edited)

@trurl Awesome, thanks. I plugged my flash into my desktop and it won't mount, or is taking a long time to do so. I'll leave it for a bit and see if it figures it out.

 

Is there any program that can run an automated backup of the flash every so often?

 

Thank you so much for your help!

Edited by Arcaeus

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.